EDIT - feature request #3097

disable editors if a user has insufficient grants for a taxon or taxon node.
09/11/2012 01:40 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 30%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal

Description
belongs to #3095

TaxonNodes must only be enabled if a user has the full CRUD permissions on the classification subtree.

Formerly it was not possible to test this feature ("Currently this can not be tested due to the bug #3098 "CdmPermissionEvaluator
can test for multiple permissions”), but this requirement is no longer valid, so testing is possible.

Still difficult to test due to #4300 (authority form does not work under windows)

Related issues:

Related to EDIT - feature request #3095: protect taxa and nodes New
Related to EDIT - bug #9021: Feedback for missing rights on TaxonNode missing New
Related to EDIT - feature request #8239: Rights issues in TaxEditor New
History

#1 - 09/11/2012 04:19 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#2 - 09/12/2012 10:17 AM - Andreas Kohlbecker

for now the user will be granted to edit taxa the user has the permission UPDATE on the cdm entities in question. This can be easily changed
afterwards to full CRUD permissions ALL}} since the required permissions are centralized in {{{eu.etaxonomy.taxeditor.security.RequiredPermissions

#3 - 09/12/2012 01:36 PM - Andreas Kohlbecker

first bits implemented TaxonEditor disabled, views still to do: r16009

#4 - 09/12/2012 03:20 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

done r16012 r16013

#5 - 10/23/2014 08:40 PM - Andreas Miiller
- Priority changed from Priority08 to Highest

#6 - 04/16/2020 06:47 PM - Andreas Miuller

- Related to feature request #3095: protect taxa and nodes added

#7 - 04/17/2020 12:05 AM - Andreas Miiller

- Tags set to security, permission

- Description updated

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

- Target version changed from 120 to Release 5.15
| am not sure if | understand what is meant here with "enabled".
Currently it seems possible to open a taxon but not to enter data in the details view for the name editor.

But it is possible to add new factual data but not all of them are editable in the details view (e.g. TextData text is not editable while Time scope is
editable).

So there seem to be open issues. This is maybe also related to the problem that 2 dimensional rights are currently not yet fully implemented (e.g.
rights to enter only factual data for a certain taxonomic subtree).

| give this ticket to KL as she is currently in charge for TaxEditor issues. Please discuss who should work on it. | also change milestone as the old
milestone should be removed.

#8 - 04/17/2020 12:05 AM - Andreas Miiller
- % Done changed from 0 to 30

#9 - 04/17/2020 12:07 AM - Andreas Miiller

- Private changed from Yes to No

#10 - 04/22/2020 10:29 AM - Katja Luther

- Target version changed from Release 5.15 to Release 5.18

#11 - 06/18/2020 10:48 PM - Andreas Miiller
- Related to bug #9021: Feedback for missing rights on TaxonNode missing added

#12 - 06/26/2020 11:20 AM - Katja Luther
- Status changed from Feedback to Worksforme

- Target version deleted (Release 5.18)

Andreas Muller wrote:

| am not sure if | understand what is meant here with "enabled".
Currently it seems possible to open a taxon but not to enter data in the details view for the name editor.

But it is possible to add new factual data but not all of them are editable in the details view (e.g. TextData text is not editable while Time scope is
editable).

So there seem to be open issues. This is maybe also related to the problem that 2 dimensional rights are currently not yet fully implemented (e.g.
rights to enter only factual data for a certain taxonomic subtree).

| give this ticket to KL as she is currently in charge for TaxEditor issues. Please discuss who should work on it. | also change milestone as the
old milestone should be removed.

Now it is not possible to enter factual data anymore (this was tested for a user with Editor and Allow_for_Polygonaceae rights in Caryophyllales_spp)
it was implemented for #8239

#13 - 06/26/2020 11:20 AM - Katja Luther
- Related to feature request #8239: Rights issues in TaxEditor added

#14 - 06/30/2020 02:20 PM - Andreas Kohlbecker

- Description updated
